Skip to main content
GET
/
v1
/
leads
/
{id}
Get lead by id
curl --request GET \
  --url https://api.topcalls.ai/v1/leads/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "phone_number": "<string>",
  "status": "New",
  "tags": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "email": "jsmith@example.com",
  "notes": "<string>",
  "metadata": {},
  "converted_at": "2023-11-07T05:31:56Z",
  "list_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.topcalls.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Path Parameters

id
string<uuid>
required

Response

OK

id
string<uuid>
required
account_id
string<uuid>
required
name
string
required
phone_number
string
required
Pattern: ^\+[1-9]\d{8,14}$
status
enum<string>
required
Available options:
New,
Contacted,
Converted,
Unsubscribed
tags
string[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
email
string<email> | null
notes
string | null
metadata
object
converted_at
string<date-time> | null
list_ids
string<uuid>[]